[Fusionforge-commits] r12648 - trunk/tests/scripts

Christian Bayle cbayle at fusionforge.org
Thu Mar 10 17:12:23 CET 2011


Author: cbayle
Date: 2011-03-10 17:12:22 +0100 (Thu, 10 Mar 2011)
New Revision: 12648

Modified:
   trunk/tests/scripts/fusionforge-build-and-test-deb.sh
   trunk/tests/scripts/fusionforge-build-and-test-rpm.sh
   trunk/tests/scripts/fusionforge-build-and-test-source.sh
Log:
Don't fail on crond stop


Modified: trunk/tests/scripts/fusionforge-build-and-test-deb.sh
===================================================================
--- trunk/tests/scripts/fusionforge-build-and-test-deb.sh	2011-03-10 16:12:11 UTC (rev 12647)
+++ trunk/tests/scripts/fusionforge-build-and-test-deb.sh	2011-03-10 16:12:22 UTC (rev 12648)
@@ -78,7 +78,7 @@
 ssh root@$HOST "LANG=C a2dissite default ; LANG=C invoke-rc.d apache2 reload ; LANG=C touch /tmp/fusionforge-use-pfo-rbac"
 ssh root@$HOST "(echo [core];echo use_ssl=no) > /etc/gforge/config.ini.d/zzz-builbot.ini"
 ssh root@$HOST "su - postgres -c \"pg_dump -Fc $DB_NAME\" > /root/dump"
-ssh root@$HOST "invoke-rc.d cron stop"
+ssh root@$HOST "invoke-rc.d cron stop" || true
 
 cd tests
 phpunit --log-junit $WORKSPACE/reports/phpunit-selenium.xml DEBDebian60Tests.php

Modified: trunk/tests/scripts/fusionforge-build-and-test-rpm.sh
===================================================================
--- trunk/tests/scripts/fusionforge-build-and-test-rpm.sh	2011-03-10 16:12:11 UTC (rev 12647)
+++ trunk/tests/scripts/fusionforge-build-and-test-rpm.sh	2011-03-10 16:12:22 UTC (rev 12648)
@@ -73,7 +73,7 @@
 ssh root@$HOST "su - postgres -c \"pg_dump -Fc $DB_NAME\" > /root/dump"
 # Install a fake sendmail to catch all outgoing emails.
 # ssh root@".HOST." 'perl -spi -e s#/usr/sbin/sendmail#/usr/share/tests/scripts/catch_mail.php# /etc/gforge/local.inc'
-ssh root@$HOST "service crond stop"
+ssh root@$HOST "service crond stop" || true
 
 cd tests
 phpunit --log-junit $WORKSPACE/reports/phpunit-selenium.xml RPMCentos52Tests.php

Modified: trunk/tests/scripts/fusionforge-build-and-test-source.sh
===================================================================
--- trunk/tests/scripts/fusionforge-build-and-test-source.sh	2011-03-10 16:12:11 UTC (rev 12647)
+++ trunk/tests/scripts/fusionforge-build-and-test-source.sh	2011-03-10 16:12:22 UTC (rev 12648)
@@ -77,7 +77,7 @@
 ssh root@$HOST "su - postgres -c \"pg_dump -Fc $DB_NAME\" > /root/dump"
 #  Install a fake sendmail to catch all outgoing emails.
 # ssh root@$HOST "perl -spi -e s#/usr/sbin/sendmail#/opt/tests/scripts/catch_mail.php# /etc/gforge/local.inc"
-ssh root@$HOST "service crond stop"
+ssh root@$HOST "service crond stop" || true
 
 cd tests
 phpunit --log-junit $WORKSPACE/reports/phpunit-selenium.xml TarCentos52Tests.php




More information about the Fusionforge-commits mailing list